<?php

declare(strict_types=1);

namespace App\Service\Utils\Parser;

use Symfony\Component\Yaml\Yaml;

/**
 * Class Parser : méthodes d'aide pour la gestion de parsing de fichier.
 */
class YamlParser implements ParserInterface
{
    /**
     * Parse la chaine de caractères au format Yaml donné et renvoie un tableau PHP.
     */
    public function parse(string $content): mixed
    {
        return Yaml::parse($content);
    }

    /**
     * Parse le fichier yaml passé en paramètre et renvoie un tableau PHP.
     *
     * @param string $path Chemin d'accès du fichier à parser
     *
     * @see ParserTest::testYamlParser()
     */
    public function parseFile(string $path): mixed
    {
        return Yaml::parseFile($path);
    }
}
